
set status [ SclFunction "EXIT GRAPHICS" {
  frm00108={
    {
      exit_mode="E"
    }
  }
}]

set status [ SclFunction "RECALL ANY FILE" {
  file="pit&dump.str"
  mode="none"
}]

set status [ SclFunction "RECALL ANY FILE" {
  file="pit_dump_road_centreline.str"
  mode="openInNewLayer"
}]

set status [ SclFunction "RECALL ANY FILE" {
  file="access_start&end.str"
  mode="none"
}]

set status [ SclFunction "DRAW DESC" {
  frm00089={
    {
      _action=display
      range1=""
      range2=""
      range3=""
      ifld_num="d1"
      textalignment="<"
      position="All points"
      layer_name="access_start&end.str"
    }
  }
}]


set status [ SclFunction "ZOOM ALL" {} ]


set status [ SclFunction "WINDOW IN" {
  window_drag={
    {
      winx1="-0.285"
      winy1="-0.240"
      winx2="-0.071"
      winy2="-0.724"
      objectx1="-61.712"
      objecty1="852.696"
      objectz1="982.500"
      objectx2="191.509"
      objecty2="518.660"
      objectz2="982.500"
    }
  }
}]

set status [ SclFunction "SELECT LAYER" {
  activelayer="main graphics layer"
}]

set status [ SclFunction "DESIGN STRING" {
  frm00071={
    {
      _action=display
      idesign_string="2"
    }
  }
}]

set status [ SclFunction "SNAP LINE" {} ]

SclPause 1

set status [ SclFunction "DIGITISER DIGITISE" {
  digitise_point=table { winx winy objectx objecty objectz } {
    { "0.214" "-0.620" "63.640" "640.424" "982.500" }
    { "0.195" "-0.492" "52.936" "684.130" "982.500" }
    { "0.069" "-0.289" "-21.098" "753.704" "982.500" }
    { "-0.101" "-0.268" "-120.999" "760.840" "982.500" }
    { "-0.229" "-0.073" "-195.925" "827.738" "982.500" }
    { "-0.227" "0.203" "-195.033" "922.288" "982.500" }
    { "-0.250" "0.513" "-208.412" "1028.433" "982.500" }
    { "-0.268" "0.794" "-219.116" "1124.766" "982.500" }
  }
}]

set status [ SclFunction "TOOL MODE TRADITIONAL" {} ]

set status [ SclFunction "TOOL CANCEL CURRENT" {} ]

set status [ SclFunction "DESIGN STRING" {
  frm00071={
    {
      _action=display
      idesign_string="9"
    }
  }
}]


set status [ SclFunction "MAKE PILLARS" {
  frm00202={
    {
      _action=display
      cl_string_range="2"
      ifldnum="1"
      road_width="10"
      width_from_desc="N"
    }
  }
}]

set status [ SclFunction "FILE SAVE" {
  frmsaveFileAs={
    {
      _action=display
      AutoCAD={
        version="Autocad 18"
      }
      output_file="surpac2str:access_road"
      outputExt=".str"
      saveStyle="N"
      Datamine={
        binary_precision="Single"
      }
      Surpac={
        FileFormat="text"
        ForceValidation="true"
        Purpose=""
        ForceCompatibility="true"
        range=""
      }
      output_type="Surpac String Files"
    }
  }
}]

puts ""
puts ""
puts "macro 1c_access_road.tcl sucessfully completed."
puts ""